Bug 1269506 - spice-vdagentd crashes in a VM when GDM autologin is enabled
spice-vdagentd crashes in a VM when GDM autologin is enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice-vdagent (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e997cf8aa87f95e4ef7172e5525...
:
Depends On:
Blocks: F23FinalFreezeException
  Show dependency treegraph
 
Reported: 2015-10-07 08:48 EDT by Kamil Páral
Modified: 2015-11-02 12:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 06:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.13 KB, text/plain)
2015-10-07 08:48 EDT, Kamil Páral
no flags Details
File: cgroup (208 bytes, text/plain)
2015-10-07 08:48 EDT, Kamil Páral
no flags Details
File: core_backtrace (2.73 KB, text/plain)
2015-10-07 08:48 EDT, Kamil Páral
no flags Details
File: dso_list (1.90 KB, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: environ (72 bytes, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: maps (9.48 KB, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: mountinfo (3.82 KB, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: namespaces (81 bytes, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: open_fds (457 bytes, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: proc_pid_status (969 bytes, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
File: var_log_messages (927 bytes, text/plain)
2015-10-07 08:49 EDT, Kamil Páral
no flags Details
full system journal (319.56 KB, text/plain)
2015-10-07 09:16 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-10-07 08:48:48 EDT
Description of problem:
This seems to happen in a VM when I enable automatic login in GNOME. On boot, instead of gdm I see only a black screen. I can switch to other TTYs and log in using text mode. There is spice-vdagentd traceback in journal, I suspect that's what kills gdm. When I try to reboot, I have to wait 90 seconds before systemd kills some processes.

Version-Release number of selected component:
spice-vdagent-0.16.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/sbin/spice-vdagentd
crash_function: __open_memstream
executable:     /usr/sbin/spice-vdagentd
global_pid:     745
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (5 frames)
 #3 __open_memstream at memstream.c:85
 #4 __vsyslog_chk at ../misc/syslog.c:167
 #5 __syslog_chk at ../misc/syslog.c:129
 #6 update_active_session_connection at src/vdagentd.c:645
 #7 main_loop at src/vdagentd.c:881
Comment 1 Kamil Páral 2015-10-07 08:48:55 EDT
Created attachment 1080660 [details]
File: backtrace
Comment 2 Kamil Páral 2015-10-07 08:48:57 EDT
Created attachment 1080661 [details]
File: cgroup
Comment 3 Kamil Páral 2015-10-07 08:48:59 EDT
Created attachment 1080662 [details]
File: core_backtrace
Comment 4 Kamil Páral 2015-10-07 08:49:01 EDT
Created attachment 1080663 [details]
File: dso_list
Comment 5 Kamil Páral 2015-10-07 08:49:03 EDT
Created attachment 1080664 [details]
File: environ
Comment 6 Kamil Páral 2015-10-07 08:49:04 EDT
Created attachment 1080665 [details]
File: exploitable
Comment 7 Kamil Páral 2015-10-07 08:49:06 EDT
Created attachment 1080666 [details]
File: limits
Comment 8 Kamil Páral 2015-10-07 08:49:09 EDT
Created attachment 1080667 [details]
File: maps
Comment 9 Kamil Páral 2015-10-07 08:49:10 EDT
Created attachment 1080668 [details]
File: mountinfo
Comment 10 Kamil Páral 2015-10-07 08:49:12 EDT
Created attachment 1080669 [details]
File: namespaces
Comment 11 Kamil Páral 2015-10-07 08:49:14 EDT
Created attachment 1080670 [details]
File: open_fds
Comment 12 Kamil Páral 2015-10-07 08:49:16 EDT
Created attachment 1080671 [details]
File: proc_pid_status
Comment 13 Kamil Páral 2015-10-07 08:49:18 EDT
Created attachment 1080672 [details]
File: var_log_messages
Comment 14 Kamil Páral 2015-10-07 09:16 EDT
Created attachment 1080683 [details]
full system journal

This is full journal from an attempt to boot in a VM with GDM autologin enabled. 14:10:21 timestamp is roughly the time when I see only black screen instead of gdm and then I switch to tty2 and try to reboot, which takes 90 seconds.
Comment 15 Kamil Páral 2015-10-07 09:42:22 EDT
This problem is fixed by this update:
https://bodhi.fedoraproject.org/updates/FEDORA-2015-a7f21b1850

Proposing as a FinalFreezeException, this will allow autologin in VMs without updating your system first. If this is not stable, people will have troubles disabling autologin to get working graphics again (you need to edit /etc/gdm/custom.conf).
Comment 16 Kamil Páral 2015-10-08 06:34:11 EDT
The bodhi update has been pushed to stable, closing.

Note You need to log in before you can comment on or make changes to this bug.